maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hervé Boutemy (JIRA) <j...@apache.org>
Subject [jira] [Updated] (MSITE-837) use an embedded http server that is light and requires just Java 7
Date Sat, 18 May 2019 04:20:00 GMT

     [ https://issues.apache.org/jira/browse/MSITE-837?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Hervé Boutemy updated MSITE-837:
--------------------------------
    Description: 
with Jetty upgrade for security reasons in MSITE-829 (even if security reasons could be discussed
in "mvn site:run" scenario: we're not in a permanent webserver, just a developer temporary
one that should be limited to localhost requests handling), Java 8 is required when our target
currently is Java 7

this is perhaps the right moment to look for a light http server that would not require Java
8: there are many options available like https://syntaxcorrect.com/Java/5_Ultra_Lightweight_Http_Server_Implementations_in_Java_for_Blazing_Fast_Microservices_APIs_or_Even_Websites
or any other idea

  was:
with Jetty upgrade for security reasons in MSITE-829 (even if security reasons could be discussed
in "mvn site:run" scenario: we're not in a permanent webserver, just a developer temporary
one that should be limited to localhost requests handling), Java 8 is required

this is perhaps the right moment to look for a light http server that would not require Java
8: there are many options available like https://syntaxcorrect.com/Java/5_Ultra_Lightweight_Http_Server_Implementations_in_Java_for_Blazing_Fast_Microservices_APIs_or_Even_Websites
or any other idea


> use an embedded http server that is light and requires just Java 7
> ------------------------------------------------------------------
>
>                 Key: MSITE-837
>                 URL: https://issues.apache.org/jira/browse/MSITE-837
>             Project: Maven Site Plugin
>          Issue Type: Task
>          Components: site:run
>    Affects Versions: 3.8
>            Reporter: Hervé Boutemy
>            Priority: Major
>              Labels: up-for-grabs
>             Fix For: 3.8
>
>
> with Jetty upgrade for security reasons in MSITE-829 (even if security reasons could
be discussed in "mvn site:run" scenario: we're not in a permanent webserver, just a developer
temporary one that should be limited to localhost requests handling), Java 8 is required when
our target currently is Java 7
> this is perhaps the right moment to look for a light http server that would not require
Java 8: there are many options available like https://syntaxcorrect.com/Java/5_Ultra_Lightweight_Http_Server_Implementations_in_Java_for_Blazing_Fast_Microservices_APIs_or_Even_Websites
or any other idea



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message